### Class

# Gio SimpleProxyResolver

since: 2.36

#### Description

    class Gio.SimpleProxyResolver : GObject.Object
      implements Gio.ProxyResolver {
      /* No available fields */
    }

`GSimpleProxyResolver` is a simple `GProxyResolver` implementation that handles a single default proxy, multiple URI-scheme-specific proxies, and a list of hosts that proxies should not be used for.

`GSimpleProxyResolver` is never the default proxy resolver, but it can be used as the base class for another proxy resolver implementation, or it can be created and used manually, such as with `g_socket_client_set_proxy_resolver()`.

Available since: 2.36

#### Ancestors

- GObject

#### Implements

- GProxyResolver

#### Functions

###### g_simple_proxy_resolver_new

Creates a new `GSimpleProxyResolver`. See `GSimpleProxyResolver:default-proxy` and `GSimpleProxyResolver:ignore-hosts` for more details on how the arguments are interpreted.

since: 2.36

#### Instance methods

###### g_simple_proxy_resolver_set_default_proxy

Sets the default proxy on `resolver`, to be used for any URIs that don’t match `GSimpleProxyResolver:ignore-hosts` or a proxy set via g_simple_proxy_resolver_set_uri_proxy().

since: 2.36

###### g_simple_proxy_resolver_set_ignore_hosts

Sets the list of ignored hosts.

since: 2.36

###### g_simple_proxy_resolver_set_uri_proxy

Adds a URI-scheme-specific proxy to `resolver`; URIs whose scheme matches `uri_scheme` (and which don’t match `GSimpleProxyResolver:ignore-hosts`) will be proxied via `proxy`.

since: 2.36

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GProxyResolver (4)

###### g_proxy_resolver_is_supported

Checks if `resolver` can be used on this system. (This is used internally; `g_proxy_resolver_get_default()` will only return a proxy resolver that returns `TRUE` for this method.).

since: 2.26

###### g_proxy_resolver_lookup

Looks into the system proxy configuration to determine what proxy, if any, to use to connect to `uri`. The returned proxy URIs are of the form `<protocol>://[user[:password]@]host[:port]` or `direct://`, where could be http, rtsp, socks or other proxying protocol.

since: 2.26

###### g_proxy_resolver_lookup_async

Asynchronous lookup of proxy. See `g_proxy_resolver_lookup()` for more details.

since: 2.26

###### g_proxy_resolver_lookup_finish

Call this function to obtain the array of proxy URIs when `g_proxy_resolver_lookup_async()` is complete. See `g_proxy_resolver_lookup()` for more details.

since: 2.26

#### Properties

###### Gio.SimpleProxyResolver:default-proxy

The default proxy URI that will be used for any URI that doesn’t match `GSimpleProxyResolver:ignore-hosts`, and doesn’t match any of the schemes set with g_simple_proxy_resolver_set_uri_proxy().

###### Gio.SimpleProxyResolver:ignore-hosts

A list of hostnames and IP addresses that the resolver should allow direct connections to.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioSimpleProxyResolverClass {
      GObjectClass parent_class;
      void (* _g_reserved1) (
    void
      );
      void (* _g_reserved2) (
    void
      );
      void (* _g_reserved3) (
    void
      );
      void (* _g_reserved4) (
    void
      );
      void (* _g_reserved5) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_g_reserved1: void (* _g_reserved1) ( void )`

  No description available.

`_g_reserved2: void (* _g_reserved2) ( void )`

  No description available.

`_g_reserved3: void (* _g_reserved3) ( void )`

  No description available.

`_g_reserved4: void (* _g_reserved4) ( void )`

  No description available.

`_g_reserved5: void (* _g_reserved5) ( void )`

  No description available.